package com.zhaoliangsz.grainsearch.basic.result;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author : zyw
 * @date : 2023/8/18 11:03
 * @description:
 */
@Data
@ToString
public class PageResult<T> implements Serializable {

    private static final long serialVersionUID = -7478931499418449863L;

    /**
     * 记录数
     */
    private List<T> records;

    /**
     * 总数
     */
    private long total;

    public PageResult(List<T> records, long total) {
        this.records = records;
        this.total = total;
    }


}
